package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.AddStockBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class QualitypplyAdapter extends BaseQuickAdapter<AddStockBean.RecordsBean, BaseViewHolder> {
    int status;
    boolean hasPermission;

    public QualitypplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public QualitypplyAdapter(int layoutResId, @Nullable List<AddStockBean.RecordsBean> data, int status) {
        super(layoutResId, data);
        this.status = status;
    }

    @Override
    protected void convert(BaseViewHolder helper, AddStockBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getSerialNumber());
        helper.setText(R.id.tv_num, String.valueOf(item.getProductAmount()));
        helper.setText(R.id.tv_box_num, String.valueOf(item.getBoxCode()));
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(Integer.valueOf(item.getQualityInspectionStatus())));
        if (status == 0) {
            if (hasPermission) {
                helper.setVisible(R.id.ll_btn, true);
                helper.addOnClickListener(R.id.tv_agree);
                helper.addOnClickListener(R.id.tv_refuse);
            }
        }
    }

    public boolean isHasPermission() {
        return hasPermission;
    }

    public void setHasPermission(boolean hasPermission) {
        this.hasPermission = hasPermission;
    }
}

